import { TinyAreaOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type TinyAreaChartProps = Writeable<Omit<BaseChartProps<TinyAreaOptions>, 'chart'> & TinyAreaOptions>;
declare const TinyAreaChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<TinyAreaOptions>, "chart"> & TinyAreaOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | any)[])[])[])[])[])[])[])[])[])[])[]) | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<TinyAreaOptions> | null> | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    line?: import("@antv/g2plot/lib/adaptor/geometries/base").MappingOptions | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    smooth?: boolean | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    areaStyle?: import("@antv/g2plot").StyleAttr | undefined;
    point?: (import("@antv/g2plot/lib/adaptor/geometries/base").MappingOptions & Pick<import("@antv/g2plot").PointGeometryOptions, "state">) | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    xAxis?: import("@antv/g2plot").Axis | undefined;
    yAxis?: import("@antv/g2plot").Axis | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
}>, {
    class: any;
}>;
export default TinyAreaChart;
